"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("@heroku-cli/color");
const hook = async function (opts) {
    const commandIDs = opts.config.commandIDs;
    if (!commandIDs.length)
        return;
    function closest(cmd) {
        const DCE = require('string-similarity');
        return DCE.findBestMatch(cmd, commandIDs).bestMatch.target;
    }
    let binHelp = `${opts.config.bin} help`;
    let idSplit = opts.id.split(':');
    if (await opts.config.findTopic(idSplit[0])) {
        // if valid topic, update binHelp with topic
        binHelp = `${binHelp} ${idSplit[0]}`;
        // if topic:COMMAND present, try closest for id
        // if (idSplit[1]) closest = this.closest(id)
    }
    let perhaps = closest ? `Perhaps you meant ${color_1.color.yellow(closest(opts.id))}\n` : '';
    this.error(`${color_1.color.yellow(opts.id)} is not a ${opts.config.bin} command.
${perhaps}Run ${color_1.color.cmd(binHelp)} for a list of available commands.`, { exit: 127 });
};
exports.default = hook;
